// CounterTicker
// 
// Author: Ulli
// Created: 2016-05-04
//
// Version 1.0
// - Basis-Version

#ifndef _COUNTERTICKER_h
#define _COUNTERTICKER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include <UrsTickerBase.h>

class CounterTicker : public UrsTickerBase
{ private:
    void timerCallback();      // Callback-Funktion fr diese Klasse.
    int counter = 0;           // Zhler mit Initialwert 0.
    unsigned long TickMillis;  // Wert von millis() zum Zeitpunkt des Ticks.

  public:
    CounterTicker(uint32_t microSeconds) // Inizialisiert eine neue Instanz der CounterTicker-Klasse.
      : UrsTickerBase(microSeconds) {};
	  bool tickOccured;                    // True, wenn ein Tick ausgelst wurde (muss vom umgebenden Programm gelscht werden).
    void printResult();                  // Aktuellen Zustand ausgeben.
};
#endif

